Get a single user.
cURL
curl --request GET \ --url https://api.incident.io/v2/users/{id} \ --header 'Authorization: Bearer <token>'
{ "user": { "base_role": { "description": "Elevated permissions for the customer success team.", "id": "01FCNDV6P870EA6S7TK1DSYDG0", "name": "Customer Success", "slug": "customer-success" }, "custom_roles": [ { "description": "Elevated permissions for the customer success team.", "id": "01FCNDV6P870EA6S7TK1DSYDG0", "name": "Customer Success", "slug": "customer-success" } ], "email": "lisa@incident.io", "id": "01FCNDV6P870EA6S7TK1DSYDG0", "name": "Lisa Karlin Curtis", "role": "owner", "seats": { "on_call": "full_access", "response": "viewer_only" }, "slack_user_id": "U02AYNF2XJM" } }
API key from your incident.io dashboard (Settings → API keys)
Unique identifier of the user
"01FCNDV6P870EA6S7TK1DSYDG0"
OK response.
Show child attributes
Was this page helpful?
Contact support